
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;Emmanuel.c,7 :: 		void interrupt(){
;Emmanuel.c,8 :: 		if (INTCON.INTF){
	BTFSS      INTCON+0, 1
	GOTO       L_interrupt0
;Emmanuel.c,9 :: 		ZC = 1;
	BSF        _FlagReg+0, 0
;Emmanuel.c,10 :: 		INTCON.INTF = 0;
	BCF        INTCON+0, 1
;Emmanuel.c,11 :: 		}
L_interrupt0:
;Emmanuel.c,12 :: 		}
L_end_interrupt:
L__interrupt8:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_main:

;Emmanuel.c,15 :: 		void main() {
;Emmanuel.c,16 :: 		PORTB = 0;
	CLRF       PORTB+0
;Emmanuel.c,17 :: 		PORTC=0;
	CLRF       PORTC+0
;Emmanuel.c,18 :: 		TRISB = 0x01;              //RB0 input for interrupt
	MOVLW      1
	MOVWF      TRISB+0
;Emmanuel.c,19 :: 		TRISA=0x01;   //Input for potentiometer
	MOVLW      1
	MOVWF      TRISA+0
;Emmanuel.c,20 :: 		TRISC=0X00;   //Output for driving the TRIAC
	CLRF       TRISC+0
;Emmanuel.c,21 :: 		OPTION_REG.INTEDG = 0;      //interrupt on falling edge
	BCF        OPTION_REG+0, 6
;Emmanuel.c,22 :: 		INTCON.INTF = 0;           //clear interrupt flag
	BCF        INTCON+0, 1
;Emmanuel.c,23 :: 		INTCON.INTE = 1;           //enable external interrupt
	BSF        INTCON+0, 4
;Emmanuel.c,24 :: 		INTCON.GIE = 1;            //enable global interrupt
	BSF        INTCON+0, 7
;Emmanuel.c,30 :: 		while (1){
L_main1:
;Emmanuel.c,33 :: 		if (ZC){ //zero crossing occurred
	BTFSS      _FlagReg+0, 0
	GOTO       L_main3
;Emmanuel.c,34 :: 		PORTC.F6 = 1; //Send a 3ms pulse
	BSF        PORTC+0, 6
;Emmanuel.c,35 :: 		delay_ms(3);
	MOVLW      4
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_main4:
	DECFSZ     R13+0, 1
	GOTO       L_main4
	DECFSZ     R12+0, 1
	GOTO       L_main4
	NOP
;Emmanuel.c,36 :: 		PORTC.F6 = 0;
	BCF        PORTC+0, 6
;Emmanuel.c,37 :: 		ZC = 0;
	BCF        _FlagReg+0, 0
;Emmanuel.c,38 :: 		}
L_main3:
;Emmanuel.c,40 :: 		PORTC.F0=1 ;
	BSF        PORTC+0, 0
;Emmanuel.c,41 :: 		delay_ms(1000);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main5:
	DECFSZ     R13+0, 1
	GOTO       L_main5
	DECFSZ     R12+0, 1
	GOTO       L_main5
	DECFSZ     R11+0, 1
	GOTO       L_main5
	NOP
	NOP
;Emmanuel.c,42 :: 		PORTC.F0=0;
	BCF        PORTC+0, 0
;Emmanuel.c,43 :: 		delay_ms(500);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main6:
	DECFSZ     R13+0, 1
	GOTO       L_main6
	DECFSZ     R12+0, 1
	GOTO       L_main6
	DECFSZ     R11+0, 1
	GOTO       L_main6
	NOP
	NOP
;Emmanuel.c,44 :: 		}
	GOTO       L_main1
;Emmanuel.c,45 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
